// creator  : DLTCEP_enhanced_WeiDU (version 23600)
// argument : OHNVICRO.DLG
// game     : .
// source   : ./DATA/NEERA.BIF
// dialog   : f:\programmes\beamdog\games\00546\lang/en_US/dialog.tlk
// dialogF  : (none)

BEGIN ~OHNVICRO~

IF ~  Global("ohn_vicross_plot","oh6400",0)
~ THEN BEGIN 0 // from:
  SAY ~Neera?! THE Neera? We heard you were in Tethyr with a Bhaalspawn. And here you are! It's SUCH a pleasure to put a face to the name. When I sensed your magic, I thought to myself, "That HAS to be her!" ~ [OH89826] /* #89826 */
  IF ~~ THEN DO ~SetGlobal("ohn_vicross_plot","oh6400",1)
FaceObject("neera")
~ EXTERN ~NEERA25J~ 28
END

IF ~~ THEN BEGIN 1 // from:
  SAY ~You were expecting...?~ [OH89829] /* #89829 */
  IF ~~ THEN EXTERN ~NEERA25J~ 29
END

IF ~~ THEN BEGIN 2 // from:
  SAY ~I thought you were a half-elf.~ [OH89832] /* #89832 */
  IF ~~ THEN EXTERN ~NEERA25J~ 30
END

IF ~~ THEN BEGIN 3 // from:
  SAY ~And then you kill them.~ [OH89834] /* #89834 */
  IF ~~ THEN REPLY ~I hate to interrupt, but I'm sure there's only one way this can go.~ /* #89836 */ GOTO 9
  IF ~~ THEN REPLY ~Enough! Seize the Red Wizard and kill her friends!~ /* #89837 */ GOTO 10
END

IF ~~ THEN BEGIN 4 // from:
  SAY ~Obviously. And I know why you're here.~ [OH89839] /* #89839 */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 10.0 9.0 4.0
  SAY ~You want to put an end to the Order of Eight Staves. That will not happen. I put everything I am into the Order, sacrificed—well, everything for it. I'm an autharch. Do you know what that means?~ [OH89844] /* #89844 */
  IF ~  OR(2)
CheckStatGT(Player1,17,INT)
CheckStatGT(Player1,24,LORE)
~ THEN REPLY ~That you're a minor leader in the Thayan government?~ /* #89846 */ GOTO 6
  IF ~~ THEN REPLY ~No, but I suspect you're going to tell us.~ /* #89848 */ GOTO 6
  IF ~~ THEN REPLY ~That you're going to die?~ /* #89851 */ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.2 5.1 5.0
  SAY ~It means I AM somebody. I created the Order of Eight Staves to keep it that way.~ [OH89853] /* #89853 */
  IF ~~ THEN EXTERN ~NEERA25J~ 31
END

IF ~~ THEN BEGIN 7 // from:
  SAY ~The brains of wild mages hold a LOT of secrets.~ [OH89856] /* #89856 */
  IF ~~ THEN REPLY ~We don't need wild magic to defeat you, Vicross.~ /* #89857 */ GOTO 8
  IF ~~ THEN REPLY ~You'll pay for that! Attack, friends!~ /* #89858 */ DO ~Shout(151)
ActionOverride("ohnrwt1",Enemy())
ActionOverride("ohnrwt2",Enemy())
ActionOverride("ohnrwt3",Enemy())
ActionOverride("ohnrwt4",Enemy())
GiveItemCreate("potn10",Myself,5,0,0)
UseItem("potn10",Myself)
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY ~We'll see about that.~ [OH93768] /* #93768 */
  IF ~~ THEN DO ~Shout(151)
ActionOverride("ohnrwt1",Enemy())
ActionOverride("ohnrwt2",Enemy())
ActionOverride("ohnrwt3",Enemy())
ActionOverride("ohnrwt4",Enemy())
GiveItemCreate("potn10",Myself,5,0,0)
UseItem("potn10",Myself)
~ EXIT
END

IF ~~ THEN BEGIN 9 // from: 3.0
  SAY ~Obviously!~ [OH89859] /* #89859 */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 10 // from: 3.1
  SAY ~Hold your horses! Sheesh!~ [OH89860] /* #89860 */
  IF ~~ THEN GOTO 5
END

IF ~  AreaCheck("oh6450")
IfValidForPartyDialogue("neera")
~ THEN BEGIN 11 // from:
  SAY ~Wait! Neera and the Bhaalspawn, in Priador? How did you follow me?~ [OH89864] /* #89864 */
  IF ~~ THEN EXTERN ~NEERA25J~ 34
END

IF ~~ THEN BEGIN 12 // from:
  SAY ~Not today, you manic, pink-haired pixie!~ [OH93079] /* #93079 */
  IF ~~ THEN DO ~SetCutSceneLite(TRUE)
SetGlobal("OHN_TOB_PLOT","GLOBAL",9)
AddXPObject(Player1,15000)
AddXPObject(Player2,15000)
AddXPObject(Player3,15000)
AddXPObject(Player4,15000)
AddXPObject(Player5,15000)
AddXPObject(Player6,15000)
ActionOverride("ohnvicro",ReallyForceSpell(Myself,DRYAD_TELEPORT))
~ EXIT
END

IF ~  AreaCheck("oh6450")
!IfValidForPartyDialogue("neera")
~ THEN BEGIN 13 // from:
  SAY ~Wait! You're here, in Priador? How did you follow me?~ [OH93770] /* #93770 */
  IF ~~ THEN REPLY ~I don't know, but you're not getting away this time.~ /* #93771 */ GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY ~Not today!~ [OH93772] /* #93772 */
  IF ~~ THEN DO ~SetCutSceneLite(TRUE)
SetGlobal("OHN_TOB_PLOT","GLOBAL",9)
ActionOverride("ohnvicro",ReallyForceSpell(Myself,DRYAD_TELEPORT))
~ EXIT
END

IF ~  Global("OHN_TALK","LOCALS",1)
~ THEN BEGIN 15 // from:
  SAY ~You found me after all. I don't know how you did it, but—you know what's funny? I no longer care.~ [OH90185] /* #90185 */
  IF ~~ THEN DO ~SetGlobal("OHN_TALK","LOCALS",2)
~ GOTO 17
  IF ~  Range("NEERA",40)
IfValidForPartyDialogue("NEERA")
~ THEN DO ~SetGlobal("OHN_TALK","LOCALS",2)
~ EXTERN ~NEERA25J~ 35
END

IF ~~ THEN BEGIN 16 // from:
  SAY ~I know.~ [OH90187] /* #90187 */
  IF ~~ THEN EXTERN ~NEERA25J~ 37
END

IF ~~ THEN BEGIN 17 // from: 15.0
  SAY ~ I saw you fight. There's nothing I can do to stop you, even if I cared to.~ [OH93775] /* #93775 */
  IF ~~ THEN GOTO 20
  IF ~  Range("NEERA",40)
IfValidForPartyDialogue("NEERA")
~ THEN EXTERN ~NEERA25J~ 37
END

IF ~~ THEN BEGIN 18 // from: 20.0
  SAY ~Surrender?! No! What for?! Even if I survive, I'm ruined. Everyone will know. ~ [OH90189] /* #90189 */
  IF ~~ THEN REPLY ~Listen to reason, Vicross. Surrender.~ /* #90191 */ GOTO 19
  IF ~~ THEN REPLY ~Even if Neera would forgive you, I wouldn't.~ /* #90192 */ GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.1 18.0
  SAY ~You don't understand. I—DON'T—CARE—ANYMORE! I'm a wild mage, and I'm free! I'm going to die fighting you—but before I do, I'm going to live as I've never let myself live before!~ [OH90193] /* #90193 */
  IF ~~ THEN DO ~SetGlobal("OH_VTalk","OH6500",1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 20 // from: 17.0
  SAY ~And so it would look like my situation is hopeless.~ [OH93776] /* #93776 */
  IF ~~ THEN REPLY ~You'll surrender, then?~ /* #93777 */ GOTO 18
END
